:root {
    --FontSize-Regular: 15px;
    --FontSize-Small:   13px;
    --FontSize-Large:   17px;
    --FontSize-XLarge:  20px;

    --Margin-Large:  30px;
    --Margin-Small:  20px;
    --Margin-XSmall: 10px;
}

* {
    box-sizing: border-box;
}

/* 画面幅によりplaceholderの文字がはみ出す場合、改行せず'...'にする */
ons-input span.text-input__label {
    width: 100%;
    font-size: 14px;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
}

/* ToolBar直下に固定表示されるProgressBar */
ons-progress-bar {
    display: none;
    position: absolute;
    z-index: 10;
    width: 100%;
}

.progress-bar {
    height: 3px;
}

/* ProgressBarと同時に用いる、視覚的な変化なしで全画面を覆い二重操作を防止するModal */
#TransparentModalForProgressBar {
    background-color: transparent;
}

/* メニューの右側に区切り線を見せるため */
ons-splitter-side .page__content {
    padding-right: 1px;
}

/* Action Sheetの表示でデスクトップに対応するための設定 */
/* 横幅が広がり過ぎないように｜画面の中央下に表示されるように */
    div.action-sheet {
        max-width: 400px;
        margin-left: auto;
        margin-right: auto;
    }
/* ------------------- */

/* アイコン付きTabbarの表示を修正 */
button.tabbar__button {
    height: 45px;
}

/* Tabbar material 修正*/
button.tabbar--material__button {
    color: #999;
}

:checked+.tabbar--material__button {
    color: #2979ff;
}

/* 幅広でのtab中央表示時に不具合があり、非表示にする */
.tabbar--material__border {
    display: none !important;
}
/* ------------- */


/* tabbar 幅広対応：広がり過ぎないように */
div.tabbar {
    display: flex;
    justify-content: center;
}

ons-tab.tabbar__item {
    max-width: 200px;
}
/* --------------- */


/* Toolbar タイトルの表示 */
ons-toolbar .center {
    display: flex;
    flex-wrap: wrap;
    align-content: center;
    padding: 0 20px;
    flex-grow: 1;
}

/* Toolbar Segmentの中央表示 */
div.CenterSegment {
    justify-content: center;
}

/* iOSではwidthが固定だったので上書き */
ons-toolbar .left, ons-toolbar .right {
    width: auto; 
}

.Toolbar_Title {
    width: 100%;
    font-size: 15px;
    line-height: 1.2;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
}

.Toolbar_SubTitle {
    width: 100%;
    font-size: 10px;
    line-height: 1.2;
    color: #555555;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
}
/* ------------------- */

/* 画面下のToolbar */

.BottomToolbar_Container {
    width: 100%;
    max-width: 500px;
    height: 100%;
    margin: 0 auto;
    display: flex;
    justify-content: center;
    align-items: center;
}

.BottomToolbar_Button {
    width: 100%;
    border: none;
    background: transparent;
    text-align: center;
    color: #777;
    line-height: 1;
    touch-action: manipulation;
}

.BottomToolbar_Button__Icon {
    width: 100%;
    font-size: 24px;
}

.BottomToolbar_Button__Text {
    width: 100%;
    font-size: 10px;
}
/* --------------- */

main {
    width: 100%;
    /* height: 100%; */
    max-width: 1000px;
    margin: 0 auto;
    display: grid;
    gap: 12px;
    /* justify-content: center; */
    align-items: start;
    align-content: start;
    padding: 20px 15px;
    /* background-color: #999; */
}